import React from "react";
import Image from "next/image";
interface MarketProps {
  img: string;
  bgImage: string;
}

const Market: React.FC<MarketProps> = ({ img, bgImage }) => {
  return (
    <>
      <div className="relative mt-10 h-[800px] hidden md:flex lg:flex">
        {/* Background layers */}
        <div className="absolute inset-0 flex flex-row w-full h-full">
          <div
            className="md:w-[1800px] lg:w-[1800px] w-[100%] h-full bg-cover bg-center"
            style={{ backgroundImage: `url(${bgImage})` }}
          ></div>
          <div className="bg-[#398D9C] w-full h-full"></div>
        </div>

        {/* Bigger Centered Image */}
        <div className="absolute top-1/2 left-1/2 transform -translate-x-1/2 -translate-y-1/2 w-[150%] h-[80%] hidden md:flex lg:flex">
          <Image src={img} alt="Home Image" fill objectFit="contain" />
        </div>

        <div className=" absolute top-10 md:left-[190px] lg:left-[190px] left-20 transform -translate-x-1/2 -translate-y-1/2 border-[3px] border-black md:w-[220px] w-[100px] lg:w-[220px] text-center pt-2 pb-2 rounded-[30px] text-black font-[800] bg-white">
          NEW
        </div>
      </div>
      <div className="bg-[#398D9C] md:hidden lg:hidden h-[300px] w-full flex flex-col justify-center items-center p-5">
        <Image src={img} alt="" height={600} width={600}></Image>
      </div>
    </>
  );
};

export default Market;
